#include <SimCore/SimCore.hpp>
#define CATCH_CONFIG_MAIN
#include <catch2/catch.hpp>
#include <SimCore/Orientation.hpp>
#include <loguru.hpp>



SCENARIO("Testing the SimCorePositionClass")
{
  GIVEN("different position in different forms")
  {
  double lon = 55;
  double lat = 10;





    WHEN("constructing Position Object with data")
    {
    SimCore::Orientation Ori1(0,0,0);

    LOG_S(INFO)<< Ori1.getEulerAngles(lat,lon);
    
      THEN("positions attributes are correct")
      {
        REQUIRE(Ori1.getHeading() == 0);
    


      } //THEN
    } // WHEN
  } // GIVEN
} //SCENARIO